version: '3.3'
services:
   db:
     image: mysql:5.7
     volumes:
       - /opt/test:/var/lib/mysql
       - ./mysql-dump:/docker-entrypoint-initdb.d
     environment:
       MYSQL_ROOT_PASSWORD: root
       MYSQL_DATABASE: sdis29
       MYSQL_USER: slam
       MYSQL_PASSWORD: Azerty1+
     ports:
       - 3306:3306
   phpmyadmin:
     depends_on:
       - db
     image: phpmyadmin/phpmyadmin
     ports:
       - '8081:80'
     environment:
       PMA_HOST: db
       MYSQL_ROOT_PASSWORD: root
   web:
     depends_on:
       - db
     image: tomcat
     volumes:
       - ./fichier/projetSDIS29_2.war:/usr/local/tomcat/webapps/projetSDIS29_2.war
       - ./fichier/server.xml:/usr/share/local/conf/server.xml:rw
       - ./fichier/tomcat-users.xml:/usr/local/tomcat/conf/tomcat-users.xml:rw
       - ./fichier/context.xml:/usr/share/local/webapps/host-manager/META-INF/context.xml:rw
       - ./fichier/context.xml:/usr/share/local/webapps/manager/META-INF/context.xml:rw

     ports:
       - '8080:8080'
     environment:
       MYSQL_ROOT_PASSWORD: root
       MYSQL_DATABASE: sdis29
       MYSQL_USER: slam
       MYSQL_PASSWORD: Azerty1+
